# $Revision: 1.18 $, $Date: 2012/03/28 07:25:39 $
Summary:	Python bindings for GNOME 3's nautilus
Summary(pl.UTF-8):	Wiązania Pythona dla nautilusa z GNOME 3
Name:		nautilus-python
Version:	1.0
Release:	5
License:	GPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/nautilus-python/1.0/%{name}-%{version}.tar.bz2
# Source0-md5:	64ceb67b6b167c2d17ac46f23ec70828
URL:		http://www.gnome.org/
BuildRequires:	nautilus-devel >= 3.0.0
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRequires:	python-pygobject-devel >= 2.28.2
Requires:	nautilus >= 3.0.0
Requires:	python-pygobject >= 2.28.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
These are unstable bindings for the nautilus extension library
introduced in GNOME 2.6.

%description -l pl.UTF-8
Ten pakiet zawiera niestabilne wiązania dla biblioteki rozszerzeń
nautilusa wprowadzonej w GNOME 2.6.

%package examples
Summary:	Example scripts
Summary(pl.UTF-8):	Przykładowe skrypty
Group:		Libraries/Python

%description examples
Example scripts.

%description examples -l pl.UTF-8
Przykładowe skrypty.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/nautilus-python/extensions
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# install examples
cp examples/{README,*.py} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# to devel, but we have none
%{__rm} $RPM_BUILD_ROOT%{_pkgconfigdir}/nautilus-python.pc

%{__rm} $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-3.0/*.la
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/nautilus/extensions-3.0/libnautilus-python.so
%dir %{_datadir}/nautilus-python
%dir %{_datadir}/nautilus-python/extensions

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nautilus-python.spec,v $
Revision 1.18  2012/03/28 07:25:39  arekm
- release 5

Revision 1.17  2012/02/07 22:04:56  arekm
- release 4

Revision 1.16  2011/12/20 19:41:07  arekm
- release 3

Revision 1.15  2011/05/20 18:41:40  megabajt
- revised deps
- added missing dir
- release 2

Revision 1.14  2011/04/21 19:34:58  lisu
- updated to 1.0
- new nautilus extensions dir
- according to NEWS, extensions are now stored in /usr/share/nautilus-python/extensions and should be arch-independent
- updated deps

Revision 1.13  2011/01/22 19:43:38  glen
- unpackage devel to base

Revision 1.12  2010/09/21 19:00:01  glen
- release 4

Revision 1.11  2010/07/09 11:20:05  arekm
- release 3

Revision 1.10  2010/07/08 07:56:06  arekm
- release 2

Revision 1.9  2010/04/28 21:02:47  megabajt
- updated to 0.6.1
- removed -libpython-soname.patch (applied upstream)
- added -examples subpackage

Revision 1.8  2009/04/12 02:24:39  pawelz
- BR: eel >= 2.6.0
- Does not build, so added TODO and rel 2.1

Revision 1.7  2008/10/14 06:42:08  arekm
- release 2

Revision 1.6  2008/10/07 20:07:22  megabajt
- updated to 0.5.1
- added TODO
- removed -dir.patch and -api.patch
- added -libpython-soname.patch to make it use versioned libpython library

Revision 1.5  2008/10/03 17:45:12  arekm
- release 2

Revision 1.4  2008-05-11 12:39:14  wrobell
- ver. 0.5.0

Revision 1.3  2007/08/25 23:57:35  qboosh
- pl
- BR: sed 4.0
- Group changed (it's nautilus extension, not python module)

Revision 1.2  2007/08/21 11:37:29  patrys
- drop .la
- package plugin dir

Revision 1.1  2007/08/21 11:32:45  patrys
- initial PLD release
- potentially ugly workaround for a missing m4 macro
